#!/bin/python

import csv

# create html file
o = open("./interactive-map.html", "w")
o.write("<!DOCTYPE html>\n")
o.write("<html>\n")
o.write("<head>\n")
o.write('<meta charset="UTF-8">\n')
o.write('<link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css" integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin=""/>\n')
o.write('<script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js" integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin=""></script>\n')
o.write('<style>html, body {height: 100%;margin: 0;}\n')
o.write('.leaflet-container {height: 400px;width: 600px;max-width: 100%;max-height: 100%;}</style>\n')
o.write("</head>\n")
o.write("<body>\n")
o.write("")
o.write("<h2>Die interaktive DDI-Landkarte</h2>\n")
o.write('<div id="map" style="width: 90%; height: 90%;"></div>\n')
o.write('<script>const map = L.map("map").setView([51.25, 10.0], 6);\n')
o.write("L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {maxZoom: 19, attribution: '&copy; <a href=" + '"http://www.openstreetmap.org/copyright">OpenStreetMap</a>'+"'}).addTo(map);\n")

# read in csv-file
with open('../adressdaten/standorte.csv') as f:
    reader = csv.DictReader(f, delimiter=';')
    for row in reader:
        o.write('L.marker(['+row['Lat']+', '+row['Lon']+']).addTo(map).bindPopup("<a href=\''+row['URL'] + '\' target=\'_blank\'><b>'+row['Institution'] + '</b><br>'+row['Professor*in'] +'</a>");\n')

o.write('</script>\n')
o.write('<p>Die Kartendaten werden durch <a href="https://www.openstreetmap.org/copyright" target=_blank>OpenStreetMap</a> bereitgestellt, die Marker der einzelnen Standpunkte werden durch <a href="https://leafletjs.com" target=_blank>Leaflet</a> realisiert.</p>')
o.write("</body>\n")
o.write("</html>\n")
o.close()
